public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michael Zavertkin" <misha.zavertkin@mail.ru>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: net-proxy/byedpi/
Date: Wed, 15 Jan 2025 15:49:55 +0000 (UTC)	[thread overview]
Message-ID: <1736956170.48fb745db68e8ea60e401f7c1cd90b3e7457bd85.misha.zavertkin@gentoo> (raw)

commit:     48fb745db68e8ea60e401f7c1cd90b3e7457bd85
Author:     Michael Zavertkin <misha.zavertkin <AT> mail <DOT> ru>
AuthorDate: Wed Jan 15 15:49:30 2025 +0000
Commit:     Michael Zavertkin <misha.zavertkin <AT> mail <DOT> ru>
CommitDate: Wed Jan 15 15:49:30 2025 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=48fb745d

net-proxy/byedpi: add 0.16

Signed-off-by: Michael Zavertkin <misha.zavertkin <AT> mail.ru>

 net-proxy/byedpi/Manifest           |  1 +
 net-proxy/byedpi/byedpi-0.16.ebuild | 37 +++++++++++++++++++++++++++++++++++++
 2 files changed, 38 insertions(+)

diff --git a/net-proxy/byedpi/Manifest b/net-proxy/byedpi/Manifest
index adfc51ec3..e61327736 100644
--- a/net-proxy/byedpi/Manifest
+++ b/net-proxy/byedpi/Manifest
@@ -1,2 +1,3 @@
 DIST byedpi-0.14.1.tar.gz 37004 BLAKE2B c14af6c2e01bf5d8c1539b5417ca2bf7cdfd501f4f1927dd7d1f643db1b2c7e26cd4bd8e3f66d885903b9349fa10f802e44039f0fc08b28143ec382a64e096b1 SHA512 5ff1d5ce03b0c824a60272130b47ba5d8ded74fdace7000780b1fff014a33cd9e42778f006d903a0dee4ec204561cd025b4788aa9bbd55b39c72d64736d6309e
 DIST byedpi-0.15.tar.gz 38376 BLAKE2B adceb3106c16d8aefe2040d8f12d9118107b23d2eac57f4a295f7800b655e889e6507f8800d1f0cc46e1365df2c987c764c68f6ab3df9a0dee3a226746e195c7 SHA512 bf6e7e4047263eb0e436b05ca40244439a232cd2b81d45ad7aad12b1f76e5796e4e5c913534599650b23d148bc2f07e98d2a2637db95106de014b303edbd1a38
+DIST byedpi-0.16.tar.gz 41690 BLAKE2B 7a80864864a736d68824596dbe086bb4a6f90661fd02a2231c7c023ab7b098e5b38f73fa8acb8adc5f73de16d328875d42bdd3fd5f4dd34f40d9d51fd8b22e5e SHA512 42652609fe6ea1d57cdf6d8d7df1472887372f4f9621cd5111f292aa3daa45bf952782c90ecf19df2631a88eccc7f30e3b34dcaf1186f8238c5433e453b3aea1

diff --git a/net-proxy/byedpi/byedpi-0.16.ebuild b/net-proxy/byedpi/byedpi-0.16.ebuild
new file mode 100644
index 000000000..14668c55c
--- /dev/null
+++ b/net-proxy/byedpi/byedpi-0.16.ebuild
@@ -0,0 +1,37 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit systemd toolchain-funcs
+
+DESCRIPTION="Bypass DPI SOCKS proxy"
+HOMEPAGE="https://github.com/hufrea/byedpi/"
+SRC_URI="https://github.com/hufrea/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+src_prepare() {
+	default
+
+	# respect optimization level
+	sed -i 's/ -O.\b/ /' Makefile || die
+}
+
+src_configure() {
+	tc-export CC
+}
+
+src_install() {
+	dobin ciadpi
+	einstalldocs
+
+	newinitd "${FILESDIR}"/byedpi.initd byedpi
+	newconfd "${FILESDIR}"/byedpi.confd byedpi
+	systemd_dounit "dist/linux/${PN}.service"
+
+	insinto /etc
+	newins "dist/linux/${PN}.conf" "${PN}.conf"
+}


             reply	other threads:[~2025-01-15 15:49 UTC|newest]

Thread overview: 9+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2025-01-15 15:49 Michael Zavertkin [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-17 13:32 [gentoo-commits] repo/proj/guru:dev commit in: net-proxy/byedpi/ Anna Vyalkova
2025-01-29 15:44 Anna Vyalkova
2025-01-26  5:49 Michael Zavertkin
2024-10-30 16:39 Michael Zavertkin
2024-10-29 22:43 Anna Vyalkova
2024-10-10 22:22 Anna Vyalkova
2024-09-18 10:51 Michael Zavertkin
2024-08-11 16:19 Michael Zavertkin

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1736956170.48fb745db68e8ea60e401f7c1cd90b3e7457bd85.misha.zavertkin@gentoo \
    --to=misha.zavertkin@mail.ru \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox